주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Update a memory item

POST /memory_stores/{name}/items/{memory_id}

Updates the specified memory item in the memory store.

헤더 매개 변수

Foundry-Features enum 필수

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

경로 매개 변수

name string 필수

The name of the memory store.

memory_id string 필수

The ID of the memory item to update.

쿼리 매개 변수

api-version string 필수

The API version to use for this operation.

요청 본문

Content-Type: application/json
content string 필수

The updated content of the memory.

응답

The request has succeeded.

본문

Content-Type: application/json
(다음 버전 중 하나)
user_profile UserProfileMemoryItem

A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.

kind enum 필수

The kind of the memory item.

user_profile
chat_summary ChatSummaryMemoryItem

A memory item containing a summary extracted from conversations.

kind enum 필수

The kind of the memory item.

chat_summary
procedural ProceduralMemoryItem

A memory item containing a procedure extracted from conversations.

kind enum 필수

The kind of the memory item.

procedural

Client error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

요청

POST /memory_stores/{name}/items/{memory_id} HTTP/1.1

응답

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026